# Публичный договор-оферта
## на оказание услуг по SEO-продвижению сайта 

* ООО «Синапсис», именуемое в дальнейшем «Исполнитель», заключит договор на оказание 
  услуг по по SEO-продвижению сайта (далее – «Договор») с физическим или 
  юридическим лицом, именуемым в дальнейшем «Заказчик», акцептовавшим настоящую 
  Публичную оферту на указанных ниже условиях.

## 1. Термины и определения

* В целях единообразия использования терминов и определений при исполнении настоящего 
  договора Стороны пришли к согласию сформулировать основные из них: 
  - Web-сайт (сайт)– это совокупность электронных документов (файлов) Заказчика в компьютерной
  сети интернет, объединенных под одним адресом (доменным именем или IP-адресом).
  - SEO-продвижение – комплекс мероприятий, направленных на продвижение сайта Заказчика
  в поисковых системах Яндекс и Google, которые способствуют улучшению выдачи сайта при
  поисковом запросе пользователя. 
  - Бриф – документ, в котором Заказчиком определяются все существенные параметры будущей
  кампании по SEO-продвижению сайта. Форма для заполнения Брифа расположена по адресу
  https://www.synapse-studio.ru/start/seo. Заполнение Заказчиком Брифа означает его согласие
  с условиями настоящего договора оферты.

## 2. Предмет договора

* 2.1. Исполнитель обязуется оказать услуги по SEO-продвижению в поисковых системах «Яндекс» 
  и «Google» сайта Заказчика, указанного в Брифе (далее по тексту – Сайт), а Заказчик обязуется 
  принять оказанные услуги и оплатить их в соответствии с условиями настоящего договора. 
  
* 2.2. Предметом настоящего договора является запуск кампании по SEO-продвижению и ежемесячное 
  абонентское обслуживание. 
  Перечень работ, выполняемых Исполнителем в рамках настоящего договора указан на сайте Исполнителя
  по адресу: https://www.synapse-studio.ru/doc/seo-rules.
  - 2.2.1. Запуск кампании представляет из себя анализ сайта заказчика и поисковых запросов и 
    результатом такого анализа является разработка стратегии, которая по окончании этого этапа 
    направляется Заказчику в формате PDF на электронную почту, указанную им в Брифе.
  - 2.2.2. После разработки стратегии Исполнитель приступает к ее реализации в рамках ежемесячного 
    обслуживания. Абонентское обслуживание осуществляется по одному из тарифов, выбранному Заказчиком 
    при подготовке Брифа.
  
* 2.3. Заказчик вправе заказать дополнительные услуги, которые не входят в выбранный им тариф. 
  После согласования с Заказчиком перечня и стоимости дополнительных услуг, Исполнитель направляет 
  Заказчику счет на оплату дополнительных услуг на условиях предварительной оплаты. Оплата счета 
  означает безусловное согласие Заказчика с перечнем дополнительно оказываемых услуг, их стоимостью, 
  а также сроком их оказания, указанными в счете на оплату.
  
* 2.4. Заказчик гарантирует наличие необходимых лицензий, сертификатов, государственных регистраций и 
  действительность соответствующих документов, а также наличие необходимых соглашений с правообладателями 
  при необходимости таковых в соответствии с действующим законодательством.
  

## 3. Акцепт договора

* 3.1. Текст настоящего Договора является публичной офертой в соответствии со статьей 435 и частью 2 
  статьи 437 Гражданского кодекса Российской Федерации (далее «ГК РФ»).

* 3.2. Безусловным принятием (акцептом) условий настоящего Договора считается осуществление Заказчиком 
  платежа в счет оплаты Услуг. Акцептирование Заказчиком настоящего Договора означает, что он согласен 
  со всеми положениями настоящего Договора.

## 4. Порядок взаимодействия Сторон

* 4.1. После направления Заказчиком Брифа, Исполнитель направляет в адрес Заказчика счет на 
  предварительную оплату услуги запуска кампании по SEO продвижению сайта Заказчика. 

* 4.2. Стоимость и сроки предоставления услуг согласуются Сторонами в счете на предварительную оплату. 
  Срок оказания услуг, установленный счетом, начинает течь с момента поступления предварительной оплаты и 
  предоставления брифа (если он по каким-либо причинам не был предоставлен ранее). 
  Срок оказания услуг не включает в себя согласование оказанных услуг с Заказчиком и внесение правок на 
  основании замечаний Заказчика.

* 4.3. Перечень услуг, оказываемых Исполнителем в рамках запуска кампании по SEO-продвижению сайта 
  Заказчика, указан на сайте Исполнителя https://www.synapse-studio.ru/doc/seo-rules.

* 4.4. После окончания выполнения работ, указанных в п. 2.2.1 настоящего Договора Исполнитель направляет 
  Заказчику список запросов согласно тарифу и документ со стратегией SEO-продвижения сайта. В дальнейшем 
  Исполнитель ежемесячно в срок не позднее 5 числа текущего месяца направляет Заказчику план работ на 
  текущий месяц. Заказчик вправе представить свои предложения по изменению плана в срок не позднее 3-х 
  календарных дней с момента его получения. Ненаправление Заказчиком в адрес Исполнителя предложений по 
  плану продвижения до окончания текущего месяца означает согласие Заказчика с ним.

* 4.5. Исполнитель оказывает Заказчику дополнительные платные услуги по SEO-продвижению сайта Заказчика. 
  Полный перечень дополнительных работ по SEO-продвижению сайта размещен на сайте Исполнителя 
  https://www.synapse-studio.ru/doc/seo-rules.
  В случае, если Заказчик изъявляет желание получить какую-либо дополнительную услугу по SEO-продвижению 
  сайта, то Исполнитель формирует счет на предварительную оплату выбранных Заказчиком услуг и передает его 
  Заказчику. 
  Стоимость и сроки оказания дополнительных услуг согласуются Сторонами в счете на предварительную оплату. 
  Оплата Заказчиком счета является подтверждением безусловного согласия Заказчика с условиями оказания 
  дополнительных услуг, их перечнем и стоимостью, а также сроком их оказания, указанными в счете на оплату.
  Срок оказания услуг, установленный счетом, начинает течь с момента поступления предварительной оплаты. 
  Срок оказания услуг не включает в себя согласование оказанных услуг с Заказчиком и внесение правок на 
  основании замечаний Заказчика.
  
* 4.6. Исполнитель в срок не позднее 5 числа месяца, следующего за отчетным, направляет на электронную 
  почту Заказчика отчет о проделанной работе. 


## 5. Права и обязанности Сторон

* 5.1. Исполнитель обязан:
  - 5.1.1. Оказывать услуги в соответствии с условиями и требованиями, установленными настоящим Договором.
  - 5.1.2. По письменному требованию Заказчика предоставить ему экземпляр Договора с подписью и печатью 
  Исполнителя.

* 5.2. Исполнитель вправе:
  - 5.2.1. Требовать от Заказчика предоставления необходимой информации для надлежащего оказания услуг.
  - 5.2.2. Самостоятельно определять состав персонала, обеспечивающего надлежащее оказание услуг.
  - 5.2.3. Заключать с третьими лицами сделки, необходимые для выполнения обязательств по настоящему Договору.
  - 5.2.4. Отказаться от исполнения своих обязанностей по Договору в одностороннем порядке либо приостановить 
  предоставление услуг, в случае непоступления очередных платежей от Заказчика.
  
* 5.3. Заказчик обязан:
  - 5.3.1. Предоставлять Исполнителю информацию, необходимую для оказания услуг по настоящей Публичной оферте 
  в форме заявок по электронной почте, которая привязана к доменному имени synapse-studio.ru и/или insaitov.ru. 
  - 5.3.2. Предоставить Исполнителю ссылку на размещенную в сети Интернет рабочую версию сайта, а также, при 
  необходимости, доступ к сайту.
  - 5.3.3. Оплачивать стоимость услуг в соответствии с условиями, предусмотренными р. 6 настоящего Договора.
  - 5.3.4. Использовать услуги Исполнителя только легальным образом и не переносить на Исполнителя 
  ответственность за ущерб любого рода, понесенный Заказчиком или третьей стороной в ходе использования 
  Заказчиком услуг Исполнителя.
  - 5.3.5. В срок не позднее 3-х рабочих дней с момента получения акта приемки оказанных услуг подписать акт 
  и принять оказанные услуги либо направить Исполнителю мотивированный отказ. В случае, если в указанный в 
  настоящем пункте срок акт не подписан Заказчиком, и не представлены возражения, а также в тех случаях, 
  когда акт подписан Заказчиком, услуги считаются оказанными в полном объеме и принятыми Заказчиком без замечаний.
  
* 5.4. Заказчик вправе:
  - 5.4.1. Контролировать ход и качество оказываемых услуг.
  - 5.4.2. Выдвигать требования, необходимые для надлежащего оказания услуг.  
  
  
## 6. Стоимость и порядок оплаты услуг

* 6.1. Стоимость услуг по настоящему договору устанавливается Исполнителем в счетах на предварительную оплату. 
  При этом оплата Заказчиком счета является подтверждением безусловного согласия Заказчика с условиями настоящей 
  оферты, перечнем и стоимостью услуг, а также сроком их оказания, указанными в счете на оплату.
  
* 6.2. В случае если фактический объём работ превысил объем, предусмотренный счетом на предварительную оплату, 
  Исполнитель выставляет Заказчику дополнительный счет. Оплата счета подтверждает согласие Заказчика со стоимостью 
  дополнительных услуг. Исполнитель вправе не приступать к исполнению данных услуг до момента поступления денежных 
  средств на расчётный счет Исполнителя.

* 6.3. Услуги по настоящему Договору оказываются на условиях 100 процентной предварительной оплаты. Оплата услуг 
  по настоящему договору осуществляется Заказчиком на основании счетов, выставляемых Заказчику, в течение пяти 
  банковских дней со дня выставления счета. Датой оплаты услуг считается день поступления денежных средств на 
  расчетный счет Исполнителя.

* 6.4. Форма оплаты:
  - безналичное банковское перечисление по реквизитам Исполнителя, указываемым в счете на предварительную оплату, 
  в частности банковским переводом или иным допустимым законодательством способом из числа принимаемых Исполнителем.
  - оплата наличными денежными средствами в кассу Заказчика. 
  При оплате Заказчик обязан в назначении платежа указать номер и дату оплачиваемого им счета, в противном случае 
  Исполнитель оставляет за собой право не учитывать данный платеж.  

* 6.5. Заказчик несет ответственность за правильность производимых им платежей. При изменении банковских реквизитов 
  Исполнителя, с момента опубликования новых на веб-сервере Исполнителя (https://www.synapse-studio.ru/doc), Заказчик 
  самостоятельно несет ответственность за платежи, произведенные по устаревшим реквизитам.
  
* 6.6. В первом счете Заказчик оплачивает сумму оплаты за запуск кампании и первый месяц ведения рекламной кампании.

* 6.7. В случаях, когда оплата за Заказчика производится третьим лицом (плательщиком), необходимо соблюдение следующих 
  условий:
  для физического лица (плательщика) - предоставление доверенности на представление интересов Заказчика;
  для юридического лица (плательщика) - указание в поле "назначение платежа" платежного поручения 
  "Оплата за ... (наименование Заказчика), по лицевому счету №...(номер счета)" или предоставление письменного уведомления 
  Плательщиком о зачете платежа в счет оплаты по настоящему договору за Заказчика.
  Оплата не будет принята до момента выполнения вышеуказанных условий.

* 6.8. При досрочном отказе Заказчика от исполнения договора (по собственной инициативе), неиспользованная часть 
  предварительной оплаты Заказчику не возвращается.


## 7. Сдача – приемка оказанных услуг

* 7.1. По окончанию выполнения работ, указанных в п. 4.1. и/или 4.5. настоящего Договора, Исполнитель направляет Заказчику
  акт приемки-передачи оказанных услуг.  
  
* 7.2. Исполнитель высылает скан акта приемки-передачи оказанных услуг на электронный адрес Заказчика. Также в письме 
  Исполнитель информирует Заказчика о предстоящем направлении оригинала акта приемки-передачи оказанных услуг в адрес 
  Заказчика, с обязательным указанием адреса, на который будет направлен оригинал.
  
* 7.3. Исполнитель направляет Заказчику оригинал Акта по почтовому адресу, указанному Заказчиком в Заявке, не позднее 
  5-ти рабочих дней с момента направления Заказчику Акта в электронном виде.
  
* 7.4. Заказчик обязуется в срок не позднее 3-х рабочих дней с момента получения по электронной почте Акта приемки-передачи 
  оказанных услуг подписать акт и направить Исполнителю сканированную копию подписанного им акта по электронной почте либо 
  направить Исполнителю мотивированный отказ. В случае, если в указанный в настоящем пункте срок акт не подписан Заказчиком, 
  и не представлены возражения, а также в тех случаях, когда акт подписан Заказчиком, услуги считаются оказанными в полном 
  объеме, принятыми Заказчиком без замечаний.
  
* 7.5. В случае поступления замечаний Заказчика, срок оказания услуг продлевается на срок не более 10-ти рабочих дней. 
  При этом замечания Заказчика не принимаются, если они не соответствуют согласованному ранее перечню оказываемых Услуг, 
  указанных в оплаченном Заказчиком счете на предварительную оплату либо выходят за его пределы. В случае возникновения 
  необходимости в дополнительных услугах, Исполнитель выставляет новый счет, который подлежит оплате Заказчиком.


## 8. Срок действия договора

* 8.1. Исполнитель приступает к исполнению Договора в течение трех рабочих дней с момента поступления средств на счет 
  Исполнителя.
  
* 8.2. Договор начинает свое действие с момента акцепта Заказчиком настоящего Договора и действует до окончания 
  календарного года.
  
* 8.3. Если ни одна из сторон не заявит в письменном виде о прекращении действия Договора до 25 декабря текущего года, 
  он автоматически пролонгируется на каждый следующий календарный год.
  
* 8.4. Исполнитель оставляет за собой право внести изменения в условия Оферты и/или отозвать Оферту в любой момент по 
  своему усмотрению. В случае внесения Исполнителем изменений в Оферту такие изменения вступают в силу с момента их 
  опубликования на сайте Исполнителя, если иной срок вступления изменений в силу не определен дополнительно при их публикации. 
  Заказчик соглашается и признает, что внесение изменений в Оферту влечет за собой внесение этих изменений в заключенный и 
  действующий между Заказчиком и Исполнителем Договор, и эти изменения в Договор вступают в силу одновременно с такими 
  изменениями в Оферте. Любые приложения к Оферте являются ее неотъемлемыми частями.
  
* 8.5. Заказчик вправе приостановить действие настоящего договора, направив соответствующее письменное уведомление Исполнителю. 
  При этом оказываемые по настоящему договору услуг приостанавливаются с последнего дня месяца, в котором поступило 
  соответствующее уведомление.
  
* 8.6. Заказчик вправе в одностороннем порядке расторгнуть настоящий договор, направив в адрес Исполнителя соответствующее 
  уведомление. Договор считается прекратившим свое действие по истечении 15-ти календарных дней с момента получения Исполнителем 
  указанного в настоящем пункте уведомления. При этом оказание услуг по настоящему договору прекращается в день, следующий за 
  днем получения уведомления. Стоимость услуг возврату не подлежит.
  
* 8.7. Досрочное расторжение Договора может иметь место по соглашению сторон либо по основаниям, предусмотренным действующим 
  на территории Российской Федерации гражданским законодательством.

* 8.8. При нарушении одной из Сторон условий настоящего Договора другая Сторона имеет право на одностороннее расторжение Договора, 
  предварительно известив об этом другую Сторону, не менее чем за 5 (пять) рабочих дней до расторжения Договора.
  
* 8.9. В случае установления нецелесообразности или невозможности дальнейшего проведения работ или установления неизбежности 
  получения отрицательного результата заинтересованная сторона вносит предложение о досрочном расторжении настоящего Договора, 
  которое должно быть рассмотрено в течение 5 (пяти) рабочих дней.
  

## 9. Ответственность Сторон

* 9.1. За неисполнение и ненадлежащее исполнение условий настоящего договора Стороны несут ответственность, предусмотренную 
  действующим законодательством РФ.
  
* 9.2. Исполнитель не несет ответственности в случае, если хостинг, предоставленный Заказчиком, не поддерживает требуемые 
  для разработанного в соответствии с настоящим договором web-сайта, параметры, указанные в 
  https://www.synapse-studio.ru/doc/hosting/info.
  
* 9.3. Исполнитель не несет ответственности перед Заказчиком, а также любыми третьими лицами за содержание материалов, 
  представленных и (или) размещаемых на web-сайте Заказчиком, в том числе за нарушение авторских прав третьих лиц.
  
* 9.4. Исполнитель не отвечает за ошибки Заказчика и не отвечает за ущерб, возникающий вследствие неудовлетворенности 
  третьих лиц (потребителей) качеством товара или услуг, предоставляемых Заказчиком. В случае если Заказчик предоставляет 
  третьим лицам доступ к имеющимся у него в соответствии с Договором ресурсам и сервисам, ответственность за деятельность 
  таких третьих лиц несет Заказчик.
  
* 9.5. Стороны обязуются соблюдать предварительный претензионный порядок рассмотрения споров. Претензии о ненадлежащем исполнении 
  обязательств по настоящему договору предъявляются в письменной форме. Претензия и ответ на нее отправляются заказным письмом с 
  уведомлением либо вручаются под расписку. Допускается передача претензии посредством электронной почты, при условии последующего 
  предоставления оригинала.
  
* 9.6. Сторона, получившая претензию, обязана в течение 5-ти календарных дней со дня получения рассмотреть ее по существу и 
  сообщить о принятом по ней решении заявителю.
  
* 9.7. В случае, если спор не урегулирован в претензионном порядке Стороны передают его на рассмотрение в Арбитражный суд 
  Вологодской области.


## 10. Особые условия

* 10.1. Полученная в процессе исполнения настоящего Договора информация о коммерческой деятельности любой из Сторон, является 
  конфиденциальной и не подлежит разглашению.
  
* 10.2. Заказчик дает согласие на обработку своих персональных данных от своего имени или имеет все полномочия на передачу 
  персональных данных от лиц, на имя которых производит заказ услуг, в том числе фамилию, имя, отчество, мобильный телефон, 
  адрес электронной почты для исполнения настоящего Договора в соответствии с ФЗ «О персональных данных».
  Под обработкой персональных данных понимается: сбор, запись, систематизация, накопление, хранение, уточнение (обновление, 
  изменение), извлечение, использование, передача (предоставление, доступ), обезличивание, блокирование, удаление, уничтожение.


## 11. Форс-мажор
 
* 11.1. Стороны освобождаются от ответственности за невыполнение обязательств по настоящему Договору, 
  если это невыполнение вызвано обстоятельствами непреодолимой силы (форс-мажор). В этом случае 
  установленные сроки по выполнению обязательств, указанных в Договоре, переносятся на срок, в 
  течение которого действуют форс-мажорные обстоятельства. К обстоятельствам непреодолимой силы 
  относятся: война, землетрясение, наводнение, ураган, пожар или подводные явления, а также законы, 
  распоряжения, иные нормативные документы компетентных государственных органов, органов местного 
  самоуправления, принятые после подписания настоящего Договора и препятствующие его исполнению 
  (перечень не является исчерпывающим). 
  
* 11.2. О возникновении форс-мажорных обстоятельств, стороны незамедлительно информируют друг друга. 


## 12. Реквизиты Исполнителя

```
ООО «Синапсис» 
Адрес: 160000, Вологодская область, г.Вологда, ул.Ленинградская, дом 146, кв. 108 
ИНН/КПП 3525357535/352501001 
р/с 40702810412000004908 в 
Вологодское отделение №8638 ПАО Сбербанк г.Вологда 
к/с 30101810900000000644 
БИК 041909644

Тел/факс: +7 (8172) 26-43-02

E-mail: электронная почта с доменным окончанием @synapse-studio.ru, @insaitov.ru 
```
