# ПУБЛИЧНЫЙ ДОГОВОР-ОФЕРТА
## на оказание услуг по размещению таргетированной рекламы

* ООО «о.О», являющееся юридическим лицом, зарегистрированным в Российской Федерации, 
именуемое в дальнейшем «Исполнитель», заключит договор на оказание услуг по размещению 
таргетированной рекламы (далее – «Договор»), являющийся публичным договором-офертой 
(предложением) в адрес физического или юридического лица, далее именуемого «Заказчик»

## 1.  Понятия и определения

* 1.1. Пользователь – посетитель информационных ресурсов в сети Интернет.

* 1.2. Площадка социальных сетей – онлайн-платформа, предназначенная для 
  общения, поиска друзей и информации, размещения рекламных проектов.
  
* 1.3. Рекламодатель — лицо, заинтересованное в привлечении посетителей 
  на свой сайт путем размещения рекламы в ВКонтакте, Instagram, MyTarget 
  и Facebook. В рамках данной Публичной оферты в качестве рекламодателя 
  выступает Исполнитель от имени Заказчика.
  
* 1.4. Рекламное объявление – рекламный текст или баннер, содержащий 
  рекламную информацию и Ссылку, предоставленные Рекламодателем в рамках 
  определенной Рекламной кампании.
  
* 1.5. Ключевой запрос – слово или словосочетание, используемое в рекламной 
  кампании в ВКонтакте, Instagram, MyTarget и Facebook, при запросе которого 
  может быть показано рекламное объявление.
  
* 1.6. Ссылка – включенная в Рекламное объявление текстовая ссылка, 
  переадресующая обратившихся к ней посредством Клика пользователей к 
  странице в социальных сетях или на сайт, адрес которых указан 
  Рекламодателем для данного Рекламного объявления.
  
* 1.7. Группа рекламных кампаний – совокупность заказанных 
  Рекламодателем Рекламных объявлений в рамках одной или нескольких 
  рекламных кампаний, в ВКонтакте, Instagram, MyTarget и Facebook, 
  направленных на продвижение одного продукта (товара или услуги) 
  или группы схожих продуктов и ведущих на один сайт/группу в 
  социальных сетях/аккаунт в Instagram.
  
* 1.8. Показ – появление объявлений на страницах в социальных сетях 
  Instagram, Facebook, ВКонтакте и на проектах Mail.ru Group и в 
  рекламной партнерской сети.
  
* 1.9. Таргетированная реклама - это форма онлайн-рекламы, показывающая 
  объявления определенной аудитории в соответствии с ее 
  социально-демографическими параметрами, поведенческими 
  характеристиками и интересами.
  
* 1.10. Клик - обращение пользователя по содержащейся в Рекламном 
  объявлении Ссылке после показа такому пользователю этого Рекламного 
  объявления.
  
* 1.11. Геотаргетинг – технология, позволяющая нацеливать объявления 
  на определенную аудиторию, учитывая географические характеристики 
  и интересы.

* 1.12. Фактическая стоимость рекламной компании – стоимость, 
  рассчитанная исходя из фактической цены и количества 
  кликов/показов за предыдущий отчетный период.

* 1.13. Бюджет рекламной кампании — сумма, фактически перечисленная 
  Заказчиком Исполнителю и предназначенная для зачисления в 
  ВКонтакте и MyTarget в полном объеме

* 1.14. Отчетный период – календарный месяц.

* 1.15. Бриф – документ, в котором Сторонами определяются все 
  существенные параметры будущей рекламной кампании. На каждую 
  рекламную кампанию составляется отдельный бриф. Бриф содержит 
  в себе: условия о наименовании рекламной кампании, наименование 
  товара (услуги) реклама которого будет осуществляться, адрес 
  сайта или адрес страницы в социальных сетях, который будет 
  указан в рекламной кампании. Бриф заполняется Заказчиком по 
  форме Исполнителя и при его утверждении направляется 
  Заказчиком на электронную почту Исполнителя.

* 1.16. Заявка – указание Заказчика Исполнителю об изменении 
  действующей рекламной кампании, а именно: приостановка (запуск) 
  рекламной кампании, изменение ключевых слов, изменение текста 
  объявления, изменение бюджета рекламной кампании и иное.

* 1.17. Отчет – сведения, предоставляемые Исполнителем по запросу 
  Заказчика в рамках настоящей Публичной оферты по рекламным 
  кампаниям в ВКонтакте, Instagram, MyTarget и Facebook.
  
## 2. Предмет договора 
  
* 2.1. Исполнитель обязуется на основании брифа и заявок Заказчика 
  оказывать услуги по размещению таргетированной рекламы товаров и 
  (или) услуг Заказчика в ВКонтакте, Instagram, MyTarget и Facebook, 
  а Заказчик обязуется принять и оплатить оказанные услуги в 
  соответствии с условиями настоящего Договора. 
  Услуги включают в себя:
  - 2.1.1. Подготовка и размещение текстовых Рекламных объявлений в 
  ВКонтакте, Instagram, MyTarget и Facebook.
  - 2.1.2. Управление группой рекламных кампаний в ВКонтакте, Instagram, MyTarget и Facebook.

* 2.2. Аудитория для таргетинга, срок начала размещения таргетированной 
  рекламы, и иные параметры размещения согласуются Сторонами путем 
  направления заявок в том числе по электронной почте.
  
* 2.3. Предметом настоящего Договора не является внесение каких-либо 
  изменений на сайте и иных интернет ресурсах, принадлежащих Заказчику, 
  а также консультирование Заказчика по указанным в настоящем пункте вопросам.
  
* 2.4. До начала работы над Договором Стороны обмениваются основными 
  контактными данными (e-mail Заказчика, почтовый адрес Заказчика, 
  электронный адрес Сайта Заказчика, e-mail Исполнителя). Обмен 
  происходит путем заполнения Брифа и направления его по электронной почте.

## 3.  Акцепт договора

* 3.1. Текст настоящего Договора является публичной офертой в 
  соответствии со статьей 435 и частью 2 статьи 437 Гражданского 
  кодекса Российской Федерации (далее «ГК РФ»).

* 3.2. Безусловным принятием (акцептом) условий настоящего Договора 
  считается осуществление Заказчиком платежа в счет оплаты Услуг. 
  Акцептирование Заказчиком настоящего Договора означает, что он 
  согласен со всеми положениями настоящего Договора.

## 4.  Порядок взаимодействия Сторон при размещении рекламы на площадках социальных сетей Mytarget и Вконтакте 

* 4.1. По заявке Заказчика, Исполнитель передает Заказчику счет на 
  оплату бюджета рекламной кампании, услуг за настройку рекламной 
  кампании, а также оплату за первый месяц обслуживания. Порядок зачисления 
  денежных средств определяется п. 7.5. настоящего Договора.  

* 4.2. В срок не позднее 3-х рабочих дней с момента поступления денежных 
  средств на расчетный счет Исполнителя, Исполнитель направляет Заказчику 
  проект Брифа. Заказчик самостоятельно заполняет Бриф и направляет его 
  Исполнителю. Бриф разрабатывается на каждую рекламную кампанию отдельно.

* 4.3. Исполнитель в срок не позднее 5-ти рабочих дней с момента поступления 
  денежных средств по оплате бюджета рекламной кампании, зачисления 
  вышеуказанных денежных средств на счет и утверждения Брифа настраивает 
  рекламную кампанию и производит ее запуск. При этом, моментом запуска 
  рекламной кампании считается дата первого показа и/или клика.

* 4.4. При этом, одна группа рекламных объявлений в ВКонтакте, MyTarget:
  - 4.4.1. направлена на продвижение одного продукта (товара или услуги) или группы схожих продуктов;
  - 4.4.2. ведет на один сайт или одну группу в социальных сетях.
  - 4.4.3. находятся под управлением Исполнителя.
  
* 4.5. Заказчик вправе в любое время изменять параметры рекламной кампании 
  путем направления в адрес Исполнителя по электронной почте, которая 
  привязана к доменному имени synapse-studio.ru, заявок с соответствующими 
  указаниями. Заявки принимаются Исполнителем в рабочие дни с 09:00 до 17:00, 
  при этом их количество не должно превышать 2 (две) заявки в неделю. 
  Срок обработки заявки Исполнителем – три часа. Затем Исполнитель определяет 
  стоимость и сроки оказания услуг.

* 4.6. В рамках заявки могут быть изменены следующие параметры рекламной кампании:
  - 4.6.1. Включение или выключение кампании (не более 2-х раз в неделю);
  - 4.6.2. Добавление рекламных кампании при условии предварительной оплаты 
  в соответствии с р. 7 настоящего Договора, при условии соответствия новой 
  рекламной кампании правилу, предусмотренному п. 4.4. настоящего Договора;
  - 4.6.3. Изменение текста объявлений (не более 2-х раз в месяц), при 
  условии соответствия текста правилу, предусмотренному п. 4.4. настоящего Договора;
  - 4.6.4. Добавление и исключение аудиторий для таргетинга 
  (не более 2х раз в неделю), при условии соответствия условий для таргетинга 
  правилу, предусмотренному п. 4.4. настоящего Договора;
  - 4.6.5. Увеличение или уменьшение бюджета рекламной кампании;
  - 4.6.6. Изменение регионов показа рекламных объявлений.
  
* 4.7. Исполнитель после получения заявки направляет Заказчику по 
  электронной почте уведомление о получении заявки, а также о сроках 
  ее исполнения.

* 4.8. Исполнитель не несёт ответственности в случае использования 
  логина и пароля аккаунта Рекламодателя третьими лицами. Заказчик 
  обязуется принять необходимые меры для сохранности своего логина и пароля. 

## 5. Порядок взаимодействия сторон при размещении рекламы на площадках социальных сетей Instagram и Facebook

* 5.1. По заявке Заказчика, Исполнитель передает Заказчику счет на оплату 
  услуг за настройку рекламной кампании, а также оплату за первый месяц 
  обслуживания. Порядок зачисления денежных средств определяется п. 7.5. 
  настоящего Договора.

* 5.2. В срок не позднее 3-х рабочих дней с момента поступления денежных 
  средств на расчетный счет Исполнителя, Исполнитель направляет Заказчику 
  проект Брифа. Заказчик самостоятельно заполняет Бриф и направляет его 
  Исполнителю. Бриф разрабатывается на каждую рекламную кампанию отдельно.

* 5.3. Исполнитель в срок не позднее 5-ти рабочих дней с момента 
  поступления денежных средств по оплате бюджета рекламной кампании, 
  получения доступа в Личный кабинет и Брифа настраивает рекламную 
  кампанию и производит ее запуск. При этом, моментом запуска рекламной 
  кампании считается дата первого перехода по объявлениям и/или клика, показа.

* 5.4. При этом, одна группа рекламных кампаний в системе Instagram, и Facebook.
  - 5.4.1. направлена на продвижение одного продукта (товара или услуги) или группы схожих продуктов;
  - 5.4.2. ссылается на один сайт/группу в социальных сетях/аккаунт в Instagram
  - 5.4.3. находится под управлением Исполнителя.
  
* 5.5. Заказчик вправе в любое время изменять параметры рекламной 
  кампании путем направления в адрес Исполнителя по электронной почте, 
  которая привязана к доменному имени synapse-studio.ru, заявок с 
  соответствующими указаниями. Заявки принимаются Исполнителем в рабочие 
  дни с 09:00 до 17:00, при этом их количество не должно превышать 2 (две) 
  заявки в неделю. Срок обработки заявки Исполнителем – три часа. Затем 
  Исполнитель определяет стоимость и сроки оказания услуг.

* 5.6. В рамках заявки могут быть изменены следующие параметры рекламной кампании:
  - 5.6.1. Включение или выключение кампании (не более 2-х раз в неделю);
  - 5.6.2. Добавление рекламных кампании при условии предварительной 
  оплаты в соответствии с р. 7 настоящего Договора, при условии соответствия 
  новой рекламной кампании правилу, предусмотренному п. 5.5. настоящего Договора;
  - 5.6.3. Изменение текста объявлений (не более 2-х раз в месяц), при 
  условии соответствия текста правилу, предусмотренному п. 5.5. настоящего Договора;
  - 5.6.4. Добавление и исключение подобранных аудиторий для таргетинга 
  (не более 2х раз в неделю), при условии соответствия аудиторий правилу, 
  предусмотренному п. 5.5. настоящего Договора;
  - 5.6.5. Увеличение или уменьшение бюджета рекламной кампании;
  - 5.6.6. Изменение регионов показа рекламных объявлений.
  
* 5.7. Исполнитель после получения заявки направляет Заказчику по 
  электронной почте уведомление о получении заявки, а также о сроках 
  ее исполнения.

* 5.8. Заказчик предоставляет Исполнителю доступ к Facebook, а именно на уровнях:
  - Страницы: Создание рекламы
  - Пиксель: Управление пикселем
  - Аккаунты Instagram.

* 5.9. Исполнитель не несёт ответственности в случае использования 
  логина и пароля аккаунта Рекламодателя третьими лицами. Заказчик 
  обязуется принять необходимые меры для сохранности своего логина и пароля.
  
## 6. Права и обязанности Сторон
  
* 6.1. Исполнитель обязан:
  - 6.1.1. Оказывать услуги на основании заявок Заказчика, в 
  соответствии с условиями и требованиями Договора.
  - 6.1.2. Ежемесячно в срок не позднее 10 числа месяца направлять 
  в адрес Заказчика Акт сдачи-приемки услуг, оказанных в предыдущем 
  месяце, на условиях, определенных в р. 10 настоящего Договора.
  - 6.1.3. При наличии заявки Заказчика, направлять на электронную 
  почту Заказчика отчет о рекламной кампании за предыдущий месяц 
  в формате PDF. Отчет направляется не чаще, чем один раз в месяц.
  - 6.1.4. По письменному требованию Заказчика предоставить ему 
  заверенный печатью и подписью экземпляр Договора.

* 6.2. Заказчик обязан:
  - 6.2.1. Предоставлять Исполнителю информацию, необходимую для 
  оказания услуг по настоящему Договору в форме заявок по электронной 
  почте, которая привязана к доменному имени synapse-studio.ru.
  - 6.2.2. Оплачивать услуги в соответствии с условиями, 
  предусмотренными р. 7 настоящего Договора.
  - 6.2.3. Подписать акт об оказании услуг в порядке и сроки, 
  предусмотренные п. 10.4. настоящего Договора.
  - 6.2.4. Использовать услуги Исполнителя только легальным образом 
  и не переносить на Исполнителя ответственность за ущерб любого рода, 
  понесенный Заказчиком или третьей стороной в ходе использования 
  Заказчиком услуг Исполнителя.
  - 6.2.5. Заказчик гарантирует наличие необходимых лицензий, 
  сертификатов, государственных регистраций и действительность 
  соответствующих документов, а также наличие необходимых соглашений 
  с правообладателями при необходимости таковых в соответствии с 
  действующим законодательством РФ. Ответственность за неисполнение 
  настоящего пункта несет только Заказчик.
  - 6.2.6. Самостоятельно заполнить Бриф по форме Исполнителя и направить 
   его Исполнителю;

* 6.3. Исполнитель имеет право:
  - 6.3.1. Требовать от Заказчика предоставления необходимой информации 
  для надлежащего оказания услуг.
  - 6.3.2. Самостоятельно определять состав персонала, обеспечивающего 
  надлежащее оказание услуг.
  - 6.3.3. Заключать с третьими лицами сделки, необходимые для выполнения 
  обязательств по настоящему Договору.
  - 6.3.4. Без согласования с Заказчиком изменять параметры рекламной 
  кампании в целях повышения ее эффективности с последующим уведомлением 
  Заказчика по электронной почте.
  - 6.3.5. Приостанавливать предоставление Услуг в случае непоступления 
  очередных платежей от Заказчика.

* 6.4. Заказчик имеет право:
  - 6.4.1. Контролировать ход и качество оказываемых услуг.

## 7. Стоимость услуг и порядок расчетов при размещении рекламы на площадках социальных сетей Mytarget и Вконтакте

* 7.1. Стоимость услуг по настройке и сопровождению одной группы 
  рекламных кампаний Заказчика определяется Исполнителем. 

* 7.2. Стоимость услуг за календарный месяц является фиксированной 
  и не зависит от фактического количества дней в течение которых 
  была включена рекламная кампания. 

* 7.3. В случае если объём работ превышает объем, предусмотренный 
  пунктом 4.5. настоящего Договора, Исполнитель выставляет Заказчику 
  дополнительный счет. Оплата счета подтверждает согласие Заказчика 
  со стоимостью дополнительных услуг. Исполнитель вправе не приступать 
  к исполнению данных услуг до момента поступления денежных средств 
  на расчётный счет Исполнителя.

* 7.4. Исполнитель направляет Заказчику по электронной почте счет 
  на оплату бюджета рекламной кампании и услуг в срок до первого числа
  месяца. Оплата стоимости услуг должна поступить на расчетный счет 
  Исполнителя в срок не позднее 1-го числа отчетного месяца. В случае 
  не поступления оплаты бюджета рекламной кампании и стоимости услуг 
  на расчетный счет Исполнителя до указанной даты, Исполнитель оставляет 
  за собой право приостановления доступа в личный кабинет и к отчетам 
  Исполнителя, а также право приостановить рекламную кампанию Заказчика.

* 7.5. Расчетная стоимость рекламной кампании определяется Исполнителем,
  но составляет не менее 10000 (Десяти тысяч) рублей в месяц.
  - 7.5.1. Исполнитель по указанию Заказчика направляет последнему счет 
  на пополнение бюджета рекламной кампании. Исполнитель в срок не 
  позднее 3-х банковских дней, с момента поступления денежных средств 
  на расчетный счет Исполнителя, перечисляет денежные средства, поступившие 
  от Заказчика, в счет пополнения бюджета рекламной кампании Исполнителя. 
  При этом, срок зачисления указанных денежных средств в счет рекламной 
  кампании зависит от Заказчика и находится вне зоны ответственности Исполнителя.
  - 7.5.2. Денежные средства, перечисленные Заказчиком на расчетный счет 
  Исполнителя в счет пополнения бюджета рекламной кампании, не могут 
  быть возвращены Заказчику иначе, чем путем оплаты им размещения рекламных 
  объявлений. Факт оплаты Заказчиком счета Исполнителя на пополнение бюджета 
  рекламной кампании подтверждает согласие Заказчика с правилами, 
  изложенными в настоящем пункте.
  - 7.5.3. В случае, если Заказчиком не оплачен счет Исполнителя на оказание 
  услуг, по настоящему Договору, однако оплачен счет на пополнение бюджета 
  рекламной кампании, Исполнитель оставляет за собой право удержать из суммы 
  пополнения бюджета рекламной кампании денежные средства в счет оплаты 
  услуг по настоящему Договору.
  
* 7.6. Заказчик самостоятельно через личный кабинет отслеживает остаток 
  денежных средств в бюджете рекламной кампании. Приостановление рекламной 
  кампании, возникшей в связи с недостаточностью средств в бюджете рекламной 
  кампании не влечет за собой ответственности Исполнителя.

* 7.7. В случае, если бюджет рекламной кампании не израсходован полностью за 
  текущий календарный месяц, оставшаяся сумма переносится на следующий 
  календарный месяц. Стоимость одного клика и/или показа определяется 
  Исполнителем на основании информации, указанной в Брифе и действий 
  других рекламодателей.

* 7.8. Услуги по настоящему Договору оказываются на условиях 100 процентной 
  предварительной оплаты. Оплата услуг по настоящему договору осуществляется 
  Заказчиком на основании счетов, выставляемых Заказчику, в течение пяти 
  банковских дней со дня выставления счета. Датой оплаты услуг считается день 
  поступления денежных средств на расчетный счет Исполнителя.

* 7.9. Форма оплаты: безналичное банковское перечисление по реквизитам 
  Исполнителя, указываемым в счете на предварительную оплату, в частности 
  банковским переводом или иным допустимым законодательством способом из 
  числа принимаемых Исполнителем.
  
  При оплате Заказчик обязан в назначении платежа указать номер и дату 
  оплачиваемого им счета, в противном случае Исполнитель оставляет за 
  собой право не учитывать данный платеж.

* 7.10. Заказчик несет ответственность за правильность производимых им 
  платежей. При изменении банковских реквизитов Исполнителя, с момента 
  опубликования новых на веб-сервере Исполнителя (ссылка), Заказчик 
  самостоятельно несет ответственность за платежи, произведенные по 
  устаревшим реквизитам.

* 7.11. В случаях, когда оплата за Заказчика производится третьим лицом 
  (плательщиком), необходимо соблюдение следующих условий:
  - для физического лица (плательщика) - предоставление доверенности на 
  представление интересов Заказчика;
  - для юридического лица (плательщика) - указание в поле "назначение платежа" 
  платежного поручения "Оплата за ... (наименование Заказчика), по лицевому 
  счету №...(номер счета)" или предоставление письменного уведомления 
  Плательщиком о зачете платежа в счет оплаты по настоящему договору за Заказчика.

  Оплата не будет принята до момента выполнения вышеуказанных условий.

## 8. Стоимость услуг и порядок расчетов при размещении рекламы на площадках социальных сетей Instagram И Facebook

* 8.1. Стоимость услуг по настройке и сопровождению одной группы рекламных 
  кампаний Заказчика определяется Исполнителем.

* 8.2. Стоимость услуг за календарный месяц является фиксированной и не 
  зависит от фактического количества дней в течение которых была 
  включена рекламная кампания. 
  
* 8.3. В случае если объём работ превышает объем, предусмотренный 
  пунктом 4.5. настоящего Договора, Исполнитель выставляет Заказчику 
  дополнительный счет. Оплата счета подтверждает согласие Заказчика 
  со стоимостью дополнительных услуг. Исполнитель вправе не приступать 
  к исполнению данных услуг до момента поступления денежных средств 
  на расчётный счет Исполнителя.

* 8.4. Исполнитель направляет Заказчику по электронной почте счет 
  на оплату бюджета рекламной кампании и услуг в срок до первого числа
  месяца. Оплата стоимости услуг должна поступить на расчетный счет 
  Исполнителя в срок не позднее 1-го числа отчетного месяца. В случае 
  не поступления оплаты бюджета рекламной кампании и стоимости услуг 
  на расчетный счет Исполнителя до указанной даты, Исполнитель оставляет 
  за собой право приостановления доступа в личный кабинет и к отчетам 
  Исполнителя, а также право приостановить рекламную кампанию Заказчика.

* 8.5. Расчетная стоимость рекламной кампании определяется Исполнителем,
  но составляет не менее 10000 (Десяти тысяч) рублей в месяц.
  - 8.5.1. Исполнитель по указанию Заказчика направляет последнему счет 
  на пополнение бюджета рекламной кампании. Исполнитель в срок не 
  позднее 3-х банковских дней, с момента поступления денежных средств 
  на расчетный счет Исполнителя, перечисляет денежные средства, поступившие 
  от Заказчика, в счет пополнения бюджета рекламной кампании Исполнителя. 
  При этом, срок зачисления указанных денежных средств в счет рекламной 
  кампании зависит от Заказчика и находится вне зоны ответственности Исполнителя.
  - 8.5.2. Денежные средства, перечисленные Заказчиком на расчетный счет 
  Исполнителя в счет пополнения бюджета рекламной кампании, не могут 
  быть возвращены Заказчику иначе, чем путем оплаты им размещения рекламных 
  объявлений. Факт оплаты Заказчиком счета Исполнителя на пополнение бюджета 
  рекламной кампании подтверждает согласие Заказчика с правилами, 
  изложенными в настоящем пункте.
  - 8.5.3. В случае, если Заказчиком не оплачен счет Исполнителя на оказание 
  услуг, по настоящему Договору, однако оплачен счет на пополнение бюджета 
  рекламной кампании, Исполнитель оставляет за собой право удержать из суммы 
  пополнения бюджета рекламной кампании денежные средства в счет оплаты 
  услуг по настоящему Договору.
  
* 8.6. Заказчик самостоятельно через личный кабинет отслеживает остаток 
  денежных средств в бюджете рекламной кампании. Приостановление рекламной 
  кампании, возникшей в связи с недостаточностью средств в бюджете 
  рекламной кампании не влечет за собой ответственности Исполнителя. 

* 8.7. В случае, если бюджет рекламной кампании не израсходован полностью 
  за текущий календарный месяц, оставшаяся сумма переносится на следующий 
  календарный месяц. Стоимость одного клика и/или показа определяется 
  Исполнителем на основании информации, указанной в Брифе и действий 
  других рекламодателей. 

* 8.8. Услуги по настоящему Договору оказываются на условиях 100 процентной 
  предварительной оплаты. Оплата услуг по настоящему договору осуществляется 
  Заказчиком на основании счетов, выставляемых Заказчику, в течение пяти 
  банковских дней со дня выставления счета. Датой оплаты услуг считается 
  день поступления денежных средств на расчетный счет Исполнителя.

* 8.9. Форма оплаты: безналичное банковское перечисление по реквизитам Исполнителя, 
  указываемым в счете на предварительную оплату, в частности банковским переводом 
  или иным допустимым законодательством способом из числа принимаемых Исполнителем.

  При оплате Заказчик обязан в назначении платежа указать номер и дату оплачиваемого 
  им счета, в противном случае Исполнитель оставляет за собой право не учитывать данный платеж.

* 8.10. Заказчик несет ответственность за правильность производимых им 
  платежей. При изменении банковских реквизитов Исполнителя, с момента 
  опубликования новых на веб-сервере Исполнителя (ссылка), Заказчик 
  самостоятельно несет ответственность за платежи, произведенные по 
  устаревшим реквизитам.

* 8.11. В случаях, когда оплата за Заказчика производится третьим лицом 
(плательщиком), необходимо соблюдение следующих условий:
  - для физического лица (плательщика) - предоставление доверенности на 
  представление интересов Заказчика;
  - для юридического лица (плательщика) - указание в поле "назначение платежа" 
  платежного поручения "Оплата за ... (наименование Заказчика), по лицевому 
  счету №...(номер счета)" или предоставление письменного уведомления
  
  Плательщиком о зачете платежа в счет оплаты по настоящему договору за Заказчика.
  
  Оплата не будет принята до момента выполнения вышеуказанных условий.
  
## 9. Срок оказания услуг. Срок действия договора

* 9.1. Исполнитель размещает и запускает рекламную кампанию в течение 
  пяти рабочих дней с момента согласования Брифа или получения заполненного 
  Брифа от Заказчика (в случае размещения рекламы на площадках социальных 
  сетей Facebook и/или Instagram) и поступления денежных средств на счет 
  Исполнителя.

* 9.2. Договор начинает свое действие с момента оплаты первого счета и 
  действует до окончания календарного года.

* 9.3. Если ни одна из сторон не заявит в письменном виде о прекращении 
  действия Договора до 25 декабря текущего года, он автоматически 
  пролонгируется на каждый следующий календарный год.

* 9.4. Исполнитель оставляет за собой право внести изменения в условия 
  Оферты и/или отозвать Оферту в любой момент по своему усмотрению. 
  В случае внесения Исполнителем изменений в Оферту такие изменения 
  вступают в силу с момента их опубликования на сайте Исполнителя, если 
  иной срок вступления изменений в силу не определен дополнительно при их 
  публикации. Заказчик соглашается и признает, что внесение изменений в 
  Оферту влечет за собой внесение этих изменений в заключенный и действующий 
  между Заказчиком и Исполнителем Договор, и эти изменения в Договор 
  вступают в силу одновременно с такими изменениями в Оферте. Любые 
  приложения к Оферте являются ее неотъемлемыми частями.

* 9.5. Заказчик вправе приостановить действие настоящего договора, направив 
  соответствующее письменное уведомление Исполнителю. При этом оказываемые 
  по настоящему договору услуг приостанавливаются с последнего дня месяца, 
  в котором поступило соответствующее уведомление. 

* 9.6. Заказчик вправе в одностороннем порядке расторгнуть настоящий договор, 
  направив в адрес Исполнителя соответствующее уведомление. Договор считается 
  прекратившим свое действие по истечении 15-ти календарных дней с момента 
  получения Исполнителем указанного в настоящем пункте уведомления. При 
  этом оказание услуг по настоящему договору прекращается в день, следующий 
  за днем получения уведомления и Исполнитель обязуется в срок не позднее 
  15-ти календарных дней с момента получения уведомления возвратить на 
  расчетный счет неизрасходованный остаток бюджета. Стоимость услуг 
  возврату не подлежит.

* 9.7. Досрочное расторжение Договора может иметь место по соглашению сторон 
  либо по основаниям, предусмотренным действующим на территории 
  Российской Федерации гражданским законодательством.

* 9.8. При нарушении одной из Сторон условий настоящего Договора другая 
  Сторона имеет право на одностороннее расторжение Договора, предварительно 
  известив об этом другую Сторону, не менее чем за 5 (пять) рабочих дней 
  до расторжения Договора.

* 9.9. В случае установления нецелесообразности или невозможности 
  дальнейшего проведения работ или установления неизбежности получения 
  отрицательного результата заинтересованная сторона вносит предложение 
  о досрочном расторжении настоящего Договора, которое должно быть 
  рассмотрено в течение 5 (пяти) рабочих дней.
  
## 10. Порядок принятия оказанных услуг

* 10.1. Стороны ежемесячно подписывают акты приемки-передачи 
  оказанных услуг. 

* 10.2. В срок, не позднее 10-го числа месяца, следующего за отчетным, 
  Исполнитель высылает скан акта приемки-передачи оказанных услуг на 
  электронный адрес Заказчика. Также в письме Исполнитель информирует 
  Заказчика о предстоящем направлении оригинала акта приемки-передачи 
  оказанных услуг в адрес Заказчика, с обязательным указанием адреса, 
  на который будет направлен оригинал.

* 10.3. Исполнитель направляет Заказчику оригинал Акта по почтовому 
  адресу, указанному Заказчиком в Заявке, не позднее 5-ти рабочих дней 
  с момента направления Заказчику Акта в электронном виде.

* 10.4. Заказчик обязуется в срок не позднее 3-х рабочих дней с момента 
  получения по электронной почте Акта приемки-передачи оказанных услуг 
  подписать акт и направить Исполнителю сканированную копию подписанного 
  им акта по электронной почте либо направить Исполнителю мотивированный 
  отказ. В случае, если в указанный в настоящем пункте срок акт не 
  подписан Заказчиком, и не представлены возражения, а также в тех случаях, 
  когда акт подписан Заказчиком, услуги считаются оказанными в полном объеме, 
  принятыми Заказчиком без замечаний.

* 10.5. В случае поступления замечаний Заказчика, срок оказания услуг 
  продлевается на срок не более 10-ти рабочих дней. При этом замечания 
  Заказчика не принимаются, если они не соответствуют согласованному ранее 
  перечню оказываемых Услуг, указанных в оплаченном Заказчиком счете на 
  предварительную оплату либо выходят за его пределы. Объем оказанных услуг 
  определяется на основании отчета о фактически потраченном рекламном 
  бюджете за отчетный месяц. В случае возникновения необходимости в 
  дополнительных услугах, Исполнитель выставляет новый счет, который 
  подлежит оплате Заказчиком.

## 11. Ответственность Сторон

* 11.1. За неисполнение и ненадлежащее исполнение условий настоящего 
  договора Стороны несут ответственность, предусмотренную действующим 
  законодательством РФ.

* 11.2. В случае неисполнения или ненадлежащего исполнения обязанности 
  по оплате оказанных Услуг, Заказчик выплачивает Исполнителю неустойку 
  из расчета 0,3 процента за каждый день просрочки от суммы невыполненных 
  обязательств. Выплата неустойки не освобождает Заказчика от исполнения 
  обязательства по оплате оказанных услуг.

* 11.3. Заказчик не вправе размещать и распространять через Сайт информацию, 
  запрещенную законодательством, в частности, порнографические материалы, 
  призывы к насилию, свержению власти, использовать электронную почту для 
  отправки сообщений оскорбительного и нецензурного содержания, угроз, а также 
  размещать и/или отправлять иную информацию, размещение которой противоречит 
  действующему законодательству. Заказчик принимает на себя ответственность 
  перед третьими лицами по претензиям к содержанию и форме Сайта, товарам и 
  услугам, а также использованию на Сайте знаков, маркировок, наименований и др. 
  Заказчик гарантирует возмещение ущерба Исполнителю (в том числе ущерба, 
  причиненного деловой репутации Исполнителя), возникшего в случае претензий 
  третьих лиц в связи с размещенной на Сайте информацией. Заказчик обязуется 
  самостоятельно отслеживать изменения действующего законодательства и анализировать 
  принадлежащий ему сайт на предмет его соответствия действующему законодательству, 
  при необходимости вносить в сайт коррективы. За несоответствие сайта действующему 
  законодательству Заказчик несет самостоятельную ответственность, которая не может 
  быть возложена на Исполнителя. Исполнитель не несет ответственность за помещенную 
  на сайте информацию, в том числе за использование товарных знаков, наименований 
  места происхождения, торговых марок, лозунгов и иных заявлений Заказчика.

* 11.4. Исполнитель не отвечает за ошибки Заказчика и не отвечает за ущерб, 
  возникающий вследствие неудовлетворенности третьих лиц (потребителей) качеством 
  товара или услуг, предоставляемых Заказчиком. В случае если Заказчик 
  предоставляет третьим лицам доступ к имеющимся у него в соответствии с 
  Договором ресурсам и сервисам, ответственность за деятельность таких 
  третьих лиц несет Заказчик.

* 11.5. Стороны несут иную ответственность в соответствии с действующим 
  законодательством РФ.

* 11.6. Поисковые системы вправе осуществлять проверку Рекламных материалов 
  Заказчика на соответствие требованиям Договора и законодательства РФ как 
  до начала оказания услуг по размещению, так и в любой момент после начала 
  размещения Рекламных материалов. В случае выявления несоответствия Рекламных 
  материалов требованиям действующего законодательства, Поисковая система вправе 
  отказать в размещении или прекратить размещение Рекламных материалов. Всю 
  ответственность за содержание Рекламных материалов и их соответствие требованиям 
  действующего законодательства несет Заказчик.

* 11.7. Стороны обязуются соблюдать предварительный претензионный порядок 
  рассмотрения споров. Претензии о ненадлежащем исполнении обязательств по 
  настоящему договору предъявляются в письменной форме.

* 11.8. Сторона, получившая претензию, обязана в течение 5 (пяти) календарных 
  дней со дня получения претензии рассмотреть ее по существу и сообщить о 
  принятом по ней решении заявителю.

* 11.9. Претензия и ответ на нее отправляются заказным письмом с уведомлением 
  либо вручаются под расписку. Допускается передача претензии факсимильной 
  связью при условии последующего предоставления оригинала.

* 11.10. В случае, если спор не урегулирован в претензионном порядке Стороны 
  настоящего договора передают его на рассмотрение в Арбитражный суд по 
  месту нахождения Ответчика.

## 12. Особые условия

* 12.1 Полученная в процессе исполнения настоящего Договора информация о 
  коммерческой деятельности любой из Сторон, является конфиденциальной и 
  не подлежит разглашению.

* 12.2. Исполнитель оставляет за собой право внести изменения в условия 
  Оферты и/или отозвать Оферту в любой момент по своему усмотрению. 
  В случае внесения Исполнителем изменений в Оферту такие изменения 
  вступают в силу с момента их опубликования на сайте Исполнителя, если 
  иной срок вступления изменений в силу не определен дополнительно при 
  их публикации. Заказчик соглашается и признает, что внесение изменений 
  в Оферту влечет за собой внесение этих изменений в заключенный и действующий 
  между Заказчиком и Исполнителем Договор, и эти изменения в Договор вступают 
  в силу одновременно с такими изменениями в Оферте. Любые приложения к 
  Оферте являются ее неотъемлемыми частями.

## 13. Форс-мажор

* 13.1. Стороны освобождаются от ответственности за невыполнение 
  обязательств по настоящему Договору, если это невыполнение вызвано 
  обстоятельствами непреодолимой силы (форс-мажор). В этом случае установленные 
  сроки по выполнению обязательств, указанных в Договоре, переносятся на срок, 
  в течение которого действуют форс-мажорные обстоятельства. К обстоятельствам 
  непреодолимой силы относятся: война, землетрясение, наводнение, ураган, пожар 
  или подводные явления, а также законы, распоряжения, иные нормативные 
  документы компетентных государственных органов, органов местного самоуправления, 
  принятые после подписания настоящего Договора и препятствующие его 
  исполнению (перечень не является исчерпывающим).
  
* 13.2. О возникновении форс-мажорных обстоятельств, Стороны незамедлительно 
  информируют друг друга.
  
## 14. Антикоррупционная оговорка

* 14.1. При исполнении своих обязательств по настоящему Договору Стороны, 
  их аффилированные лица, работники или посредники не выплачивают, не предлагают 
  выплатить и не разрешают выплату каких-либо денежных средств или ценностей, 
  прямо или косвенно, любым лицам для оказания влияния на действия или решения 
  этих лиц с целью получить какие-либо неправомерные преимущества или для 
  достижения иных неправомерных целей; не осуществляют действия, квалифицируемые 
  применимым для целей настоящего Договора законодательством как дача/получение 
  взятки, коммерческий подкуп, а также иные действия, нарушающие требования 
  применимого законодательства и международных актов о противодействии коррупции.

* 14.2. В случае возникновения у Стороны подозрений, что произошло или может 
  произойти нарушение каких-либо положений данного Раздела Договора, соответствующая 
  Сторона обязуется уведомить об этом другую Сторону в письменной форме. В письменном 
  уведомлении Сторона обязана сослаться на факты или предоставить материалы, 
  достоверно подтверждающие или дающие основание предполагать, что произошло или 
  может произойти нарушение каких-либо положений данного Раздела Договора другой 
  Стороной, ее аффилированными лицами, работниками или посредниками.

* 14.3. Сторона, получившая уведомление о нарушении каких-либо положений данного 
  Раздела Договора, обязана рассмотреть уведомление и сообщить другой Стороне 
  об итогах его рассмотрения в течение 30 рабочих дней с даты получения 
  письменного уведомления.

* 14.4. В случае подтверждения факта нарушения одной Стороной положений данного 
  Раздела Договора и/или неполучения другой Стороной информации об итогах 
  рассмотрения уведомления о нарушении, другая Сторона имеет право расторгнуть 
  настоящий Договор в одностороннем внесудебном порядке путем направления 
  письменного уведомления не позднее чем за 30 календарных дней до даты 
  прекращения действия настоящего Договора.

## 15. Реквизиты Исполнителя
```
ООО «о.О» 
Адрес: 160034, Вологодская область, г.Вологда, ул.Ленинградская, д.146, кв. 108
Почтовый адрес г. Вологда, а/я 2, 160022

ИНН/КПП 3525346702/352501001
ОГРН 1153525008812
р/с 40702810932320000699 в
Филиал "Санкт-Петербургский" АО "АЛЬФА-БАНК" г.Санкт-Петербург
к/с 30101810600000000786
БИК 044030786

Тел/факс: +7 (8172) 26-43-01
E-mail: context@synapse-studio.ru
```
