## Состав работ, производимых в течение первого месяца с начала срока действия Договора, включает в себя:
* Анализ тематики Сайта и её особенностей. 
* Анализ ассортимента товаров и/или услуг Заказчика.
* Сбор поисковых запросов исходя из тематики Сайта.
* Определение приоритетных запросов исходя из целей Заказчика.
* Деление запросов на логические группы (кластеризация).
* Определение места размещения запроса: главная или внутренняя страница, услуга, карточка 
  товара или категория.
* Анализ структуры Сайтов конкурентов Заказчика.
* Поиск существующих целевых страниц для продвижения выбранных запросов. 
* Определение “точек роста” проекта, успешная реализация которых окажет наибольшее положительное
  влияние на достижение прогнозируемых Исполнителем показателей продвижения Сайта.	

*Заказчик получает список всех запросов и документ со стратегией seo-продвижения Сайта.*

## Состав работ, производимых над Сайтом в течение срока действия Договора по seo-продвижению (начиная со второго месяца), включает в себя:

# 1 Техническая оптимизация Сайта:

* Проверка корректности настройки главного зеркала Сайта. 	
* Анализ проиндексированных страниц.
* Проверка Сайта на ошибки 301, 302, 404, 500 и редиректы.
* Анализ на наличие «битых» ссылок на Сайте.
* Анализ имеющейся карты XML.
* Формирование карты XML при её отсутствии.
* Анализ и настройка файла robots.txt.
* Определение текущего присвоенного региона Сайта. 	 	
* Корректировка записей о региональной принадлежности в сервисах вебмастера.
* Анализ наличия на Сайте всех необходимых контактных данных.
* Размещение всех необходимых контактных данных на Сайт.
* Добавление региона продвижения в сервисах вебмастера Сайта. 	
* Регистрация Заказчика в сервисе “Яндекс Справочник”.
* Регистрация Заказчика в сервисе “Google My Business”.
* Проверка корректности настроек сервиса “Вебмастер Яндекс”, их корректировка при 	необходимости.
* Проверка корректности настроек сервиса “Google Search Console”, их корректировка при 	необходимости.
* Анализ данных сервисов вебмастера “Яндекс” и “Google”.
* Размещение на Сайте систем аналитики” Яндекс Метрика”, “Google Analytics” (при необходимости).
* Настройка целей в системах аналитики “Яндекс 	Метрика” и “Google Analytics” (при необходимости).
* Проверка Сайта на корректность отображения на мобильных устройствах.
* Проверка Сайта на корректность отображения в различных браузерах.
* Проверка уникальности контента.
* Подключение модуля мета-тегов.
* Проверка наличия заголовков H1, H2.

*Заказчик получает документ по итогам внутренней оптимизации Сайта.*


# 2 Контентная оптимизация Сайта:

* Выбор страниц Сайта для продвижения и распределение между ними ключевых слов.
* Анализ Сайтов конкурентов с целью определения оптимального количества продвигаемых запросов на странице.
* Работа с текстами Сайта (составление технического задания копирайтеру, написание, редактирование и размещение текстов на сайте). 
* Оптимизация мета-тегов страниц и alt-тегов изображений.
* Создание новых страниц.
* Подбор тем и написание информационных статей.
* Внедрение изменений сниппетов с целью повышения показателя CTR.

*Согласованный с Заказчиком текстовый контент размещается на Сайте.*


# 3 Внешняя оптимизация Сайта:

* Определение объема ссылочной массы, которая будет вести на ту или иную страницу Сайта.
* Разработка и реализация стратегии скорости наращивания ссылочной массы.
* Дальнейшее наращивание ссылочной массы на Сайт.
* Мониторинг качества ссылочной массы.


# 4 Изменение функционала Сайта:

* Разработка и наполнение расширенного второго уровня главного меню Сайта.
* Разработка и наполнение дополнительного меню в подвале Сайта.
* Разработка каталога товаров/услуг (при необходимости).
* Разработка блока перелинковки в карточке товара/услуги "Другие товары/услуги".
* Разработка блока тегов в каталоге товаров/услуг.
* Разработка раздела "Статьи" (при необходимости).
* Разработка блока перелинковки в карточке товара/услуги "Статьи по теме".
* Разработка блока тегов в разделе "Статьи".
* Подключение турбо-страниц (для Яндекс).
* Использование микроразметки в “хлебных крошках”.
* Использование микроразметки для товаров.
* Использование микроразметки для информационного контента.
* Создание региональных поддоменов (при необходимости). 


# 5 Работы по развитию Сайта:

* Разработка рекомендаций по снижению показателя отказов, увеличению глубины просмотра страниц и времени, проводимого пользователями на Сайте.
* Анализ удобства использования продвигаемых страниц Сайта и разработка рекомендаций по повышению удобства использования Сайта.
* Внедрение на Сайте рекомендаций, согласованных с Заказчиком.


 # 6 Анализ эффективности продвижения Сайта:
 
* Анализ динамики позиций Сайта в поисковых системах Яндекс и Google.
* Подготовка и предоставление ежемесячного отчета по работам: статусы выполненных работ, список планируемых работ.
* Корректировка стратегии продвижения Сайта (при необходимости).

## Дополнительные работы, необходимые для продвижения интернет-магазинов с широким ассортиментом товаров:
* Подготовка seo-текстов и изображений для размещения товаров
* Наполнение карточек товаров
* Подготовка и расстановка метаданных
* Перелинковка за счет вывода дополнительных и связанных товаров
* Добавление свойств товаров: акция, скидка, новинка
* Анализ и проработка ЧПУ
* Доработка фильтров подбора и сортировки товаров в каталоге
* Доработка поиска товаров 
* Разработка посадочных страниц
* Настройка турбо-страниц

