# Обмен данными между 1С и Drupal8 - быстрый старт.

## Требования

* Обмен запускается с помощью команды `nohup`, наличие её в системе обязательно для автоматического запуска миграций 
  - https://git.synapse-studio.ru/d-org/cmlmigrations/blob/master/src/Controller/MigrationsExec.php#L26

## Установка модулей
* Фича-стартер: `'drupal/cmlstarter:1.x-dev' 'drupal/cmlstarter_demo:1.x-dev'`
* Модули обмена `composer require 'drupal/cmlmigrations:^1.0' 'drupal/cmlexchange:^1.0'`
* Включаем `drush en cmlstarter cmlexchange cmlmigrations`

## Настройка друпал
Настройки обмена `/admin/config/services/cmlexchange`
* Идём в настройки: `Администрирование` > `Конфигурация` > `Веб-службы` > `CML Protokol Settings`
* Задаём логин-пароль для авторизации 1С: `Auth username` `Auth password`

## Настройка 1С
* Идём в настройки: `Главное` > `Ещё больше возможностей` > `Интеграция с другими программами` > `Обмен с сайтом` > `Настройка обмена с сайтом`
* Оказалились в окне `Узлы обмена с сайтом` > нажимаем `Создать` > Открывается `Помощник по созданию обмена данными с веб-сайтом` <small>(всё это немного нелогично, название пункта в меню и открывшееся окно называются поразному) </small>
* Оставляем `Выгружать товары`, убираем `Обмениваться заказами` > `Далее`
* Задаём:
  - Адрес сайта http://ВАШ-АДРЕС.РУ/cmlexchange/full (возможность работы 1с с https сайтами неоднозначна) 
  - Имя ползователя такое-же как `Auth username`
  - Пароль такой-же как `Auth password`
* Нажимаем кнопку `Проверить соединение..` (да, упавшее двоеточие, такое представление у 1С о UI и орфографии), должны увидеть окно `Соединение с сайтом успешно установлено` > `ОК` > `Далее`
* Оставляем `Выгружать изображения номенклатуры` > `Далее`
* `Готово`

## Автоматические обмены

* Автоматический режим `выгружать изменения` полезен для быстрой актуализации
  - рекомендуем делать раз в 30 минут.
  - минимум 10 минут, максимум 1 день.
  - адрес http://ВАШ-АДРЕС.РУ/cmlexchange
  - выгружать товары и заказы
* Автоматический режим `выгружать все данные` ОБЯЗАТЕЛЕН ДЛЯ КОНСИСТЕНТНОСТИ ДАННЫХ
  - рекомендуем делать раз в неделю.
  - минимум 1 раз в день ночью, максимум 1 раз в 2 недели.
  - адрес http://ВАШ-АДРЕС.РУ/cmlexchange/full
  - выгружать только товары и цены
