# Developer

В этом документе для разработчиков описан функционал модулей:
* Cml API
* Cml Exchange
* Cml Migrations

## Описание функционала.

### CmlAPI  https://www.drupal.org/project/cmlapi

Вы можете вручную создать сущность обмена, прикрепить к ней файлы `import.xml` и `offers.xml` и получить весь функционал ниже. Для автоматического создания смотри `Cml Exchange` ниже.

* Сущность "обмен" `cml`: 
  - `uuid` = `cookies` обмена для 1С
  - `state` - статус обмена  [zip|new|progress|success|busy|failure]
  - `type` - тип обмена [catalog|sale]
  - `full` - флаг полного обмена, выставляется на основе url'a обращения
  - `field_file` - переданные во время обмена файлы, кроме картинок
  - `login`, `ip`, `created`,	`changed` - параметры обмена
* Работа с сущностью
  - views со списком сущностей `/admin/structure/cml`
  - просмотрщик каталога `/admin/structure/cml/{ID}/catalog` и другой таксономии
  - просмотрщик товаров `/admin/structure/cml/{ID}/product`
  - просмотрщик вариаций `/admin/structure/cml/{ID}/product-variaton`
* Крон и сервис `cmlapi.cleaner`:
  - удаление пустых обменов (которые не содежрат файлы)
  - удаление старых обменов (старше чем хх)
* Сервис доступа к обмену `cmlapi.cml`
  - текущий обмен
  - актуальный обмен
  - выстраивание очереди обменов [?] может стоит перенести в модуль cmlexchange
* Парсер-сервисы
  - `cmlapi.xml_parser` - разбор XML
  - `cmlapi.parser_catalog` - вытащить из XML-объекта каталоги и другую таксономию
  - `cmlapi.parser_product` - вытащить из XML-объекта товары в соответсвии с мапингом
  - `cmlapi.parser_offers` - вытащить из XML-объекта оферы в соответствии с мапингом
  - на выходе:
    * Можно получить все необходимые поля, если разобраться с мапингом
    * Русские ключи пишутся латиницей в соответствии с правилами транслитерации
    * Результаты парсинга закэшированы чанками по 300 элементов
* Настройка мапинга для `parser_product` и `parser_offers`
  - описание:
    - для получения данных из `xml` задаётся с помощю `yml`
    - стандартный мапинг задаётся при установке, поля `Product Standart` и `Offers Standart`
    - дополнительный мапинг задавай сам: в настройках `Product Dop` `Offers Dop`
    - при парсинге `Standart` и `Dop` мапинг складываются
  - мапинг-параметры: `Drupal\cmlapi\Service::prepare($data, $key, $map)`
    - **default** или {type: 'string'} - получение строчки, `Drupal\cmlapi\Service::prepareString()`
    - {type: []} - получение массива, `Drupal\cmlapi\Service::prepareArray()`
    - {type: 'attr'} - получение атрибута, `Drupal\cmlapi\Service::prepareAttribute()`
    - {type: 'keyval'} - данные ключ-значение, `Drupal\cmlapi\Service::prepareKeyVal()`
    - {skip: 1} - выключение парсера (то-же самое что удалить строчку)
* TODO:
  - либо парсеры сделать плагинами и форму-настройку для выбора нужного плагина, либо сделать инструкцию по кастомизации сервисов
  - доактуализировать историю с кэшами

#### Стандартный мапинг `parser_product`
```yml
Ид:
Артикул:
Штрихкод:
Наименование:
ПометкаУдаления:
БазоваяЕдиница: {type: 'attr', skip: 1, attr: 'НаименованиеПолное'}
Группы: {type: []}
Категория:
Описание:
Картинка:
Изготовитель: {type: 'keyval'}
СтавкиНалогов: {type: 'keyval', skip: 1}
ЗначенияСвойств: {type: 'keyval'}
ЗначенияРеквизитов: {type: 'keyval'}
```
#### Стандартный мапинг `parser_offers`
```yml
Ид:
Наименование:
БазоваяЕдиница: {type: 'attr', skip: 1, attr: 'НаименованиеПолное'}
Количество:
Склад: {type: 'attr', attr: 'КоличествоНаСкладе'}
Цены: {type: []}
```

### Cml Exchange https://www.drupal.org/project/cmlexchange

Обмен файлами с 1С 
* Модуль создаёт сущности `cml` для хранения файлов из 1С `import.xml` и `offers.xml` 
* Отдаёт информацию о заказах в 1С
* ***[?] TODO***: обновляет заказы на основании полученных данных

#### Функционал
* Реализация протокола
  - Описание протокола тут http://v8.1c.ru/edi/edi_stnd/131/
  - Протокол обмена - это передача файлов, в модуле нет ничего про форматы XML
  - `/cmlexchange` и `/cmlexchange/full`  -  адрес для 1С для обмена. `full` - выставляет флаг у сущности `cml` на основании которого можно отделять логику работы.
* Шаги протокола:
  - `modeCheckAuth` - проверка авторизци, создание сущности `cml`, выдача `cookie для 1С`
  - `modeInit` - информация для 1С о правилах `zip=[yes|no], file_limit=`
  - `modeFile` - получение файлов из 1С и сохранение
  - `modeQuery` - отдаём заказы в 1С 
  - `modeImport` - запускаем миграции, ['progress' - пока не миграции не в статусе Idle] 
  - `modeSuccess` - постобработка, хук для запуска импорта информации о заказах
* Авторизация
  - [x] `Need authentication` - отключение авторизации для упрощения отладки 
  - при отключеной авторизации в 1С можно указать любые Логин:Пароль
  - `Restrict by IP` ограничение по ip, поле сверяется с `$request->getClientIp()`
  - ***TODO:*** Basic Auth модуля конфликтует с `REST+BasicAuth`, решается созданием пользователям с аналогичными логин-пароль
* Сохранение файлов 
  - Файлы из 1С сохраняются как сущность-файл с флагом FILE_STATUS_PERMANENT TODO[?]
    - `public://cml/catalog` файлы обмена из 1С, привязываются к `cml|type=catalog`
    - `public://cml/import_files` - картинки из 1С, не привязываются во время обмена
  - При получении файла, если он уже был - обновляется поле `changed`
  - `public://cml/sale` - данные о продажах `export.xml`, для передачи в 1С привязаны к `cml|type=sale`
* Данные о заказах `\Drupal::service('cmlexchange.orders')`
  - `/cmlexchange/orders` страница для отладки отгружаемых в 1с данных заказов с помощью `dsm()`
  - `HOOK_cmlexchange_orders_query_alter()` - если нужно отдавать другие заказы
  - `HOOK_cmlexchange_orders_xml_alter(&$xml)` - если нужно формировать XML заказов по-другому
* ImportPipeLine - `\Drupal::service('cmlexchange.import_pipeline')`
  - двигает `cml` по этапам: [zip|new|progress => success|busy|failure]
  - запуск миграций
    - в настройках можно определить запукать или нет миграции на этапе `mode=import`
    - для запуска миграций нужен модуль `Cml Migrations`, его описание ниже
  - умеет разбирать zip-архивы, но это ещё не тестировалось толком
* Сервис отладки
  - [x] `Режим отладки` - включение режима отладки
  - выведет в журнал`/admin/reports/dblog` всю информацию процесса обмена 
* Форма на странице обмена (сущность `cml`)
  - `Импортировать` - запустакет импорт данных с начала
  - `Продолжить` - продолжает движение заказа по `pipeline`

### Cml Migrations https://www.drupal.org/project/cmlmigrations

#### Требования для автоматического запуска
* Linux
* Возможность делать `exec()` из `php`
* `drush` - путь к `drush` можно задать в настройках
* `nohup` - запускается как системная утилита, путь в настройках не переопрделить.

#### Функционал
* Страница статуса `/cmlmigrations/status`
  - очередь обмена
  - проверка `drush` и `nohup`
  - запуск актуальной миграции
* Миграции
  - `taxonomy_catalog` - структура каталога ***[?] TODO:*** при полном обмене снимать отсутствующие термины с публикации
  - `commerce_product_variation` - вариации
  - `commerce_product` - товары, зависит от `taxonomy_catalog` и `commerce_product_variation`
* Модуль ожидает конфигурацию как в https://www.drupal.org/project/cmlstarter
  - магазин с id=1
  - товар с типом `product` (вместо стандартного `default`)
  - ваиации с типом `variation` (вместо стандартного `default`)
  - словарь таксономии `catalog` (для сохранения каталога, можно изменить в настройках модуля)
  - поле товара `field_catalog` - таксономия каталога
  - поле товара `field_image` - картинка товара (1 штука)
* Настройки
  - PipeLine > Timeout, minutes - Защита от долгих обменов если за это время миграция не прекратилась - поставить статус `failure`
  - PipeLine > Quick Run Timeout, seconds - Защита от проскока  - задержка между созданием миграции и её запуском, чтобы избежать ситуации, когда 1С решила что всё уже отработало и пришла с новым обменом.
* Импорт
  - ***[?] TODO:*** при переводе миграции в failure запускать `drush mrc`
  - если товаров больше чем 400
    - Привязка картинок происходит пачкой в плагине 
    - Привязка вариаций происходит пачкой
  - если товаров меньше 400
    - Для поиска картинки делается запрос в базу
    - Для поиска вариаций делается запрос в базу
  - картинки ищутся, основываясь на пути
  - вариации ищутся на основании поля кастомного поля `product_uuid`
* Запуск миграций
  - запуск через php `exec(drush mim --group=cml)`
  - запуск происходит через утилиту `nohup`, чтобы отдать для 1С сразу статус `progress`
* Hook EntityBaseFieldInfo
  - добавляет к сущности `commerce_product_variation` поле 'product_uuid'
  - поле необходимо для поиска по `=` вместо `%LIKE%` 
  - поле не даёт удалить модуль миграций, пока оно заполнено
  - на странице настроек есть кнопки для помощи в разделе `DEV`
    - `Clear 1000 product_uuid field` - чистит поле у вариаций, по 1000 за 1 нажание
    - `Fill 1000 product_uuid field` - заполняет поле у вариаций, по 1000 за 1 нажание
* Hook CommerceProductInsert
  - пересохранение товара при первичном его создании, для правки вариаций


## Кастомные решения

### В моей выгрузке есть дополнительные поля
* Правим конфигурацию парсера `Product Dop` `Offers Dop`
* Копируем плагины Миграций в свой кастомный модуль, переобзываем их и пишем необходимую логику логику
* В настройках `/admin/structure/migrate/cmlmigrations` 
  - Выбираем свои плагины
  - Правим конфиги миграций

### Меня не устраивают данные о заказах, которые отдаются в 1С
* для этого есть 2 хука в модуле обмена `\Drupal::service('cmlexchange.orders')`

### Данные из 1С о заказах не обновляются на сайте
* на данный момент такого функционала в модуле нет
* есть хук в протоколе на стадии modeSuccess, для куда стоит подцепляться с такой задачей
* 1С просто даст команду "я всё", дёргать прогресс по импорту заказов она не будет.

## Траблшутинг / FAQ
* Чаще всего 1С не умеет общаться по https (в наших случаях это 100% стационарных 1сок), для этого стоит для сайта сделать технический адрес с HTTP, который не будет делать редирект на HTTPS
* Товар/Вариацию удалили из 1С а на сайте он остался, ВОТ СМОТРИТЕ В ПОЛНОЙ ВЫГРУЗКЕ ЕГО НЕТ!!!
  - правильнее все товары оставить на сайте, а удалять их только вручную
  - для хорошего SEO товары лучше вобще не удалять - больше товаров = больше трафика
  - из 1С нужно передать явную информацию о удалении товара/вариации, тогда его можно будет снять с публикации немного доработав обмен
* [error]  Error: Call to a member function shouldGenerateTitle() on null in Drupal\commerce_product\Entity\ProductVariation->preSave() (line 349 of /var/www/html/web/modules/contrib/commerce/modules/product/src/Entity/ProductVariation.php) 
  - у вас отсуствует тип вариаций `variation` - его добавляет модуль https://www.drupal.org/project/cmlstarter, поставьте модуль, или создайте такой тип вариаций вручную на странице `/admin/commerce/config/product-variation-types`
