## Предложения
Передается в файле offers.xml
Предложения создаются как вариации и атрибуты на стороне сайта

### Содержит:
| Элемент XML                     | Описание                                      | Что делаем на сайте      |
|---------------------------------|-----------------------------------------------|--------------------------|
|<ПакетПредложение>               | Вся информация о предложениях (предложения, цены, остатки). Содержит информацию полная выгрузка или нет.  |            |
|<ИД>                             |Идентификатор пакета предложений                    |Для того, чтобы он привязался к инфоблоку товара с таким же идентификатором, у него в конце должен стоять символ #.  |
|<Наименование>                   | Наименование для пакета предложений                                              |   |
|<Предложения>                   |Содержит информацию о предложениях товаров                                            |   |
|<Предложение>                   |Элемент содержит описание предложения элемента                                               |Создаем вариацию к товару   |
|<ИД>                             |Идентификатор предложения                      |Если предложение сложное (состоит из более чем 2х предложений), то идентификатор имеет вид: <ид_товара>#<ид_элемента>
|<ПометкаУдаление>                |Признак того, что товар должен быть деактивирован|Снимаем с публикации|
|<Наименование>                   |Наименование предложения                                              |   |
|<Наименование>                  |Наименование свойства, наименование характеристики (размер, цвет)                                              |   |
|<Цены>                  | Элемент содержит информацию о ценах предложения товара.                                             |   |
|<Цена>                  | Элемент содержит описание цены предложения товара.                                             |   |
|<ЦенаЗаЕдиницу>               | Цена за единицу товара (базовую).      | именно это значение ставим в поле цена  |
|<Валюта>               | Валюта цены.      |   |

В таблице перечислена информация которая участвует в обмене с сайтом. В случае необходимости отображения на сайте дополнительной информации из выгрузки, процесс описывается отдельно, так как не является базовым.

### Типовые действия на стороне сайта при выгрузке данных:
  * выгружаем на сайт сопоставляя поля
  * изменение полей в соответствии с пришедшими данными - переписываем те данные которые пришли для предложения в соответствии с таблицей выше
  * если в выгрузке которая пришла отсутствует какая либо информация которая пришла ранее, то данную информацию затираем данные (например нет элемента xml)
  * если в выгрузке которая пришла есть дополнительная информация о которой мы ранее не знали - игнорируем (пришел новый элемент xml, не согласованный с таблицей выше)
  * признак <ПометкаУдаление> переданный со стороны 1С ставим статус неактивно для предложения

В базовой выгрузке игнорируем информацию:
* любые характеристики товара
* типы цен
* склады и остатки

Выгрузка данных о нескольких вариантах цен на товар, об остатках склада и количестве на разных складах описывается и разрабатывается отдельно.
