## Обмен данными с интернет магазином общие правила
Документ описывает обмен данными между автоматизированной системой управления торговлей и складского учета (далее СУТ) и интернет-магазином.

СУТ для которых описан обмен:
* 1С УНФ конфигурация 1.6.х (не ниже 1.6)
* МойСклад

В иных случаях обмен не является базовым и описывается индивидуально.

Интернет магазин разработан на cms Drupal версия 9.

Для организации обмена между СУТ и интернет-магазином разработан и опубликован протокол, в котором используется стандарт обмена коммерческой информацией в формате XML - CommerceML2

### Штатная процедура обмена коммерческими данными функционально делится на 2 блока:

* выгрузка на сайт каталога продукции, торговых предложение, данных об остатках, данных о ценах
* обмен информацией о заказах

Инициатором обмена в обоих случаях выступает система управления торговлей. При инициализации взаимодействия устанавливается HTTP соединение. СУТ запрашивает у сайта необходимые параметры, такие, как максимальный объем пакета, поддержка сжатия и др.. На основании этих данных СУТ формирует XML сообщения и передает их на сайт.

### Алгоритм выгрузки данных на сайт
В процессе выгрузки данных сайт возвращает ответы:

* При выгрузке файлов на сайт:
  * success - файл доставлен
  * failure, или отсутствие ответа - файл не доставлен

* Ожидание окончания обработки данных
  * progress - файл обрабатывается (на следующей строке ответа указано на каком этапе)
  * success - файл успешно обработан
  * failure, или отсутствие ответа - файл не обработан.
 
### Формат данных для обмена:
* Система управления торговлей загружает на сайт xml файлы, и картинки при импорте товаров.
* В настройках обмена на стороне сайта не включено zip-сжатие, система загружает все файлы по отдельности.
* Формат файлов  xml.
* Информация в файлах структурирована в соответствии со стандартом обмена коммерческой информацией CommerceML2.
 
### Информация о товарах
* import.xml - товары, группы (разделы инфоблока), типы цен, склады, свойства товаров и единицах измерения;
* offers.xml - торговые предложения (ТП) товаров и их свойствах, цены ТП, остатки ТП

### Порядок импорта файлов:
 * в одном запросе оба файла: import.xml, offers.xml
 * либо 2 запроса и порядок выгрузки: offers.xml затем import.xml
 
### Правила автоматической загрузки данных на сайт
* Автоматический режим "выгружать изменения".
Полезен для быстрой актуализации
  * рекомендуем делать раз в 30 минут.
  * минимум 15 минут, максимум 1 день.
* Автоматический режим выгружать "все данные"
ОБЯЗАТЕЛЕН ДЛЯ КОНСИСТЕНТНОСТИ ДАННЫХ
  * рекомендуем делать раз в неделю
  * минимум 1 раз в день ночью, максимум 1 раз в 2 недели.

