# Товар
## Назначение модуля
Модуль предназначен для размещения материалов в разделе сайта «Каталог»

## Возможности
Модуль позволяет:
- Добавлять материал на сайт в разделе «Каталог»
- Редактировать существующие материалы
- Посмотреть/откатить изменения материала (сохраняются предыдущие версии текста — редакции)

## Добавление. Редактирование.
Список полей:
- Название*. Тип поля: `текст`. Название товара - обязательное к заполнению поле
- Второе название. Тип поля: `текст`. Заполняется при наличии.
- Каталог. Тип поля: `ссылка`. Ссылка на словарь каталога.
- Изображение. Тип поля: `изображение`. Основное изображение. Прикрепляемый файл.
- Короткое описание. Тип поля: `текст`. Текстовая область с ограничением в 100 символов. Используется для превью.
- Цена*. Тип поля: `числовое`. Цена товара - обязательное поле.
- Еденица измерения. Тип поля: `список`. Используеютмя 2 варианта: рубль, доллар.
- Старая цена. Тип поля: `числовое`. Старая цена товара, при отображении в карточке - перечеркивается. Испоьльзуется для акций.
- Бренд. Тип поля: `ссылка`. Ссылка на словарь брендов.
- Настройки. Тип поля:`ссылка`. Ссылка на словарь настроек. Используется для натсроек признаков у товара: акция, новинка, популярные, отображать на главной странице
- Параметры. Тип поля: `параграф`. Используется для ввода характеристик товара в формате параметр, значение.
- Сопутсвующие товары. Тип поля:`ссылка`. Ссылка на товар.
- Описание. Тип поля: `текст`. Текстовая область с визуальным редактором. Текст на странице. Используется модуль CKEditor <https://ckeditor.com/>
- Галерея. Тип поля: `изображение`. Изображения для товара.
- Прикрепленные файлы. Тип поля: `файл`. [Требования][identifier] к файлам описаны в общей части ТЗ.

[identifier]: https://github.com/synapse-studio/dogovor/blob/master/tz/openTZ.md#%D0%A2%D1%80%D0%B5%D0%B1%D0%BE%D0%B2%D0%B0%D0%BD%D0%B8%D1%8F-%D0%BA-%D1%85%D1%80%D0%B0%D0%BD%D0%B5%D0%BD%D0%B8%D1%8E-%D0%B4%D0%B0%D0%BD%D0%BD%D1%8B%D1%85

<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-main.png">
<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-info.png">
<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-extra.png">

## Внешний вид
Каждый объект представлен в двух видах:
- В общем списке объектов: список карточек товара в категории каталога. Отображение в двух видах: плитка, список.
Плитика:
<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-view2.png">
Список:
<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-view1.png">

- На странице объекта с полной информацией о нем. Для отображения используется шаблон «Карточка товара - типовая страница».
<img src="https://github.com/synapse-studio/helper/blob/master/tz/product/product-kartochka.png">
