# Порядок контроля и приемки сайта. Требования к примеке-сдаче проекта

## Порядок приемки дизайн-концепции
Под дизайн-концепцией понимается графическое исполнение одной или двух страниц, демонстрирующую общее визуальное (композиционное, цветовое, шрифтовое, навигационное) решение.

Дизайн-концепция представляется в виде файла (нескольких файлов) в растровом формате или в распечатке по согласованию сторон.
Если представленная Исполнителем дизайн-концепция удовлетворяет Заказчика, он должен утвердить ее в течение пяти рабочих дней с момента представления. При этом он может направить Исполнителю список частных доработок, не затрагивающих общую структуру страниц и их стилевое решение. Допускается до 3 итераций правок. Указанные доработки производятся параллельно с разработкой программных модулей сайта. Внесение изменений в дизайн-концепцию после ее приемки допускается только по дополнительному соглашению сторон.

Если представленная концепция не удовлетворяет требованиям Заказчика, последний предоставляет мотивированный(обоснованный) отказ от принятия концепции с указанием деталей, которые послужили препятствием для принятия концепции и более четкой формулировкой требований. В этом случае Исполнитель разрабатывает второй вариант дизайн-концепции (дорабатывает, вносит изменения). Обязательства по разработке второго варианта дизайн-концепции Исполнитель принимает только после согласования и подписания дополнительного соглашения о продлении этапа разработки дизайн-концепции на срок не менее пяти рабочих дней.

Дополнительные (третий и последующие) варианты разрабатываются Исполнителем за отдельную плату на основании дополнительных соглашений. 


## Виды, состав, объем и методы испытаний
Сдача-приемка выполненных работ должна осуществляться при предъявлении Исполнителем комплектов соответствующих документов и завершаться оформлением акта сдачи-приемки, подписанного Исполнителем и утвержденного Заказчиком.

Испытания сайта проводятся силами Исполнителя.

## Общие требования к приемке сайта
Приемка сайта должна проводиться приемочной комиссией, в состав которой должны входить представители Заказчика и Исполнителя, в течение трех рабочих дней после завершения работ. Результаты работы комиссии должны оформляться актом, подписанным членами комиссии и утвержденным Заказчиком.

## Требования к наполнению информацией
Исполнитель обеспечивает приведение графических материалов в соответствие с техническими требованиями и обеспечивает HTML-верстку подготовленных материалов.

Сканирование, набор и правка-вычитка текстов, ретушь, монтаж, перевод и другие работы могут быть выполнены Исполнителем на основании дополнительного соглашения (после просмотра имеющихся у заказчика материалов).

После сдачи системы в эксплуатацию информационное наполнение разделов, осуществляется на основании договора на поддержку сайта. Объем текста и количество иллюстраций в других типах разделов определяется предусмотренной настоящим ТЗ структурой данных и уточняется на этапе согласования дизайн-концепции.

## Требования к документации
В момент сдачи проекта заказчику предоставляется следующий набор документов: 
* Техническое задание на разработку сайта.
* Документация по стандартным модулям системы управления сайтом ITCMS.
* Краткое руководство (справочная информация) пользователя в административной части сайта.Предусматривается обучение 1-2 представителей заказчика в течении 2 часов

Руководство по переносу системы на другую хостинг - площадку не предоставляется.

## Требования к персоналу
Для эксплуатации веб-интерфейса системы динамического управления наполнением от администратора не должно требоваться специальных технических навыков, знания технологий или программных продуктов, за исключением общих навыков работы с персональным компьютером и стандартным веб-браузером.

Администратор, оператор: уверенный пользователь сети Интернет, знание Microsoft Word. Прочие пользователи: уверенный пользователь сети Интернет.

## Порядок предоставления дистрибутива
По окончании разработки Исполнитель должен предоставить Заказчику дистрибутив системы в составе:
* архив с исходными кодами всех программных модулей и разделов сайта;
* дамп проектной базы данных с актуальной информацией. Дистрибутив предоставляется на виде файлового архива по электронной почте. 

## Порядок переноса сайта на технические средства Заказчика и ввода сайта в эксплуатацию
После завершения сдачи-приемки сайта, Заказчиком самостоятельно производится перенос разработанного программного обеспечения на аппаратные средства Заказчика. Соответствие программно-аппаратной платформы требованиям настоящего документа обеспечивает Заказчик.
Исполнитель передает заказчику архив сайта: База данных, файловую систему посредством передачи ссылки на скачивание архива. Логин и пароль для администратора передаются в электронном письме Заказчику.

