# Требования к разделению доступа

* Информация, размещаемая на сайте, является общедоступной.
* Все опубликованные разделы сайта должны открываться для доступа на чтение без аутентификации пользователя.
* При попытке входа в закрытый раздел у пользователя не прошедшего аутентификацию, должен быть запрошен логин и пароль.
* После прохождения аутентификации система должна проверять полномочия пользователя на доступ к запрошенному разделу.
* Если доступ запрещен, пользователю должно быть выведено сообщение о невозможности доступа в закрытый раздел.

## Пользователей сайта можно разделить на 3 части в соответствии с правами доступа:
### 1. Посетители (гость)
* Посетители имеют доступ только к общедоступной части сайта.

### 2. Редактор (сотрудник Заказчика)
* Доступ к административной части
* Доступ к редактированию материалов и разделов
* Доступ к добавление материалов в разделы.

### 3.Администратор (сотрудник Исполнителя)
* Доступ к административной части
* Доступ к редактированию материалов и разделов
* добавлять пользователей с правами Редактора
* добавлять и удалять разделы сайта.

## Требования к паролю
* Доступ к административной части должен осуществляться с использованием уникального логина и пароля.
* Логин выдается администратором сайта.
* При создании пользователя в системе,  на его электронный адрес отправляется сообщение, в котором указана одноразовая ссылка входа, перейдя по которой система предлагает пользователю сменить пароль (ввести вручную новый пароль).

## Правила для составления паролей:
* Длина пароля должна быть не менее 8 символов.
* Пароль должен состоять из цифр и латинских букв в разных регистрах; желательно включать в пароль другие символы, имеющиеся на клавиатуре (например, символы / ? ! < > [ ] { } и т.д.)
* Пароль не должен являться словарным словом или набором символов, находящихся рядом на клавиатуре. В идеале пароль должен состоять из бессмысленного набора символов.
* Все пароли необходимо менять с определенной периодичностью, оптимальный срок - от трех месяцев до года.
